/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.device.dto.ctrl;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.*;
import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：上位机管理表
*
* createdate:  2022-09-13 17:29:46  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "上位机管理表")
public class CdDeviceCtrlUpdateDto implements Serializable
{
    /**
     * 主键id<br>
     */
    @ApiModelProperty("主键id")
    @Size(max = 32, message="主键id-id: 数据长度不能 > 32" )
    private String id;
    /**
     * 上位机位置<br>
     */
    @ApiModelProperty("上位机位置")
    @Size(max = 32, message="上位机位置-ctrlAddr: 数据长度不能 > 32" )
    private String ctrlAddr;
    /**
     * 备注<br>
     */
    @ApiModelProperty("备注")
    @Size(max = 512, message="备注-remark: 数据长度不能 > 512" )
    private String remark;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCtrlAddr() {
        return ctrlAddr;
    }

    public void setCtrlAddr(String ctrlAddr) {
        this.ctrlAddr = ctrlAddr;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
}